
p = """\
<script type="text/javascript">
    // This is called with the results from from FB.getLoginStatus().
    function statusChangeCallback(response) {
        console.log('facebook: statusChangeCallback');
        console.log('facebook: response=' + response);
        facebookStatusElement = document.getElementById('facebookStatus');
        // The response object is returned with a status field that lets the
        // app know the current login status of the person.
        // Full docs on the response object can be found in the documentation
        // for FB.getLoginStatus().
        if (response.status === 'connected') {
            // Logged into your app and Facebook.
            if (window.digitalData) {
               if (window.cxs) {
                   digitalDataLoadCallback(window.digitalData);
               } else {
                   window.digitalData.loadCallbacks = window.digitalData.loadCallbacks || []; 
                   window.digitalData.loadCallbacks.push(digitalDataLoadCallback);
               }
            } else { 
               window.digitalData = {};
               window.digitalData.loadCallbacks = window.digitalData.loadCallbacks || []; 
               window.digitalData.loadCallbacks.push(digitalDataLoadCallback);
            }
        } else if (response.status === 'not_authorized') {
            // The person is logged into Facebook, but not your app.
            if (facebookStatusElement) {
                facebookStatusElement.innerHTML = 'Please log ' +
                       'into this app.';
            }
        } else {
            // The person is not logged into Facebook, so we're not sure if
            // they are logged into this app or not.
            if (facebookStatusElement) {
                facebookStatusElement.innerHTML = 'Please log ' +
                        'into Facebook.';
            }
        }
    }

    // This function is called when someone finishes with the Login
    // Button.  See the onlogin handler attached to it in the sample
    // code below.
    function checkLoginState() {
        FB.getLoginStatus(function (response) {
            statusChangeCallback(response);
        });
    }

    window.fbAsyncInit = function () {
        FB.init({
            appId: '${resource.node.resolveSite.properties['wem:facebookAppId'].string}',
            cookie: true,  // enable cookies to allow the server to access
            // the session
            xfbml: true,  // parse social plugins on this page
            version: 'v2.0' // use version 2.0
        });

        // Now that we've initialized the JavaScript SDK, we call
        // FB.getLoginStatus().  This function gets the state of the
        // person visiting this page and can return one of three states to
        // the callback you provide.  They can be:
        //
        // 1. Logged into your app ('connected')
        // 2. Logged into Facebook, but not your app ('not_authorized')
        // 3. Not logged into Facebook and can't tell if they are logged into
        //    your app or not.
        //
        // These three cases are handled in the callback function.

        FB.getLoginStatus(function (response) {
            statusChangeCallback(response);
        });

    };

    // Load the SDK asynchronously
    (function (document, elementToCreate, id) {
        var js, fjs = document.getElementsByTagName(elementToCreate)[0];
        if (document.getElementById(id)) return;
        js = document.createElement(elementToCreate);
        js.id = id;
        js.src = "//connect.facebook.net/en_US/sdk.js";
        js.type = "text/javascript";
        fjs.parentNode.insertBefore(js, fjs);
    }(document, 'script', 'facebook-jssdk'));

    // Here we run a very simple test of the Graph API after login is
    // successful.  See statusChangeCallback() for when this call is made.
    function digitalDataLoadCallback(digitalData) {
        console.log('facebook: Welcome!  Fetching your information.... ');
        var facebookStatusElement = document.getElementById('facebookStatus');
        FB.api('/me', function (response) {
            console.log('facebook: Good to see you, ' + response.name + '.');
            if (facebookStatusElement) {
                facebookStatusElement.innerHTML = 'Good to see you, ' +
                        response.name;
            }

            var facebookLoginEvent = {
                        eventType: "facebookLogin",
                        target: {
                            id: response.name,
                            type: "facebookUser",
                            properties: {
                                url: document.location,
                                referrer: document.referrer,
                                name: response.name,
                                email: response.email,
                                gender: response.gender,
                                firstName: response.first_name,
                                lastName: response.last_name
                            }
                        }
                    };

            cxs.collectEvent(facebookLoginEvent,
                    function (xhr) {
                        console.log("cxs: Facebook login event successfully submitted.");
                    }
            );

        });
    }
</script>
""";

htmlHeadContent.append("<jahia:resource type=\"inlinejavascript\" key=\"cxsFacebookEvent\" path=\"" + URLEncoder.encode(p, "UTF-8") + "\" />");
